Subject: Re: bug#20717: attribution of gitmerge.el merged entries in generated ChangeLog

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Jun 2015 22:32:04 +0300

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 06 Jun 2015 14:48:55 -0400
> 
> 1. The dates of merged entries are wrong by an arbitrary amount.
> You can see the "cairo" entries in current ChangeLog.2 for an example of
> this. IIUC, this isn't fixable without getting the reflog involved.
> Ref: http://lists.gnu.org/archive/html/emacs-devel/2014-12/msg00102.html
> 
> 2. Entries that were "skipped" when gitmerge.el'ing from emacs-24 to
> master still appear in the generated ChangeLog. Check tomorrow's
> automatically updated ChangeLog.2 for examples of that. Or type `make
> ChangeLog' today. You'll see entries like
> 
> 2015-04-11  Ulrich Mueller <ulm>
> 
>        Bump Emacs version to 24.5.50.
> 
> that were skipped when merging from emacs-24. It's especially confusing
> because if merging isn't done very often (and recent history suggests it
> won't be), these entries will be offset from the relevant "Merge from
> origin/emacs-24" entry by a large distance. This isn't an issue now
> because the emacs-24 branch is basically dead, but it will be for the
> next release.

Do logs of changes made on feature branches also appear like that, and
are also misplaced?  E.g., what do you get there of the commits on the
large-fonts branch I merged today?  They shouldn't appear at all, I
think.

> I would hope that this one is fixable, with some work on admin/gitmerge.el
> and/or build-aux/gitlog-to-changelog.

I hope so too.

> But I get the impression that a readable ChangeLog isn't much of a
> priority for Emacs anymore. Maybe no-one will miss it.

I will.